$(function () {
  retrieveMessages();

  $.idleTimer(500);

  $(document).on("idle.idleTimer", function (event, elem, obj) {
    // function you want to fire when the user goes idle
    retrieveMessages();
    $.idleTimer(500);
  });

});

let lastId = null;
function retrieveMessages() {


  let retrieveMessageUrl = `${ URL_ROOT }/apps/retrieve-admin-message`;

  $.ajax({
    url: retrieveMessageUrl,
    type: 'POST',
    data: {},
    
    success: function(response){
      let templateString = '';
   let res = JSON.parse(response)
      

      if (res.length === 0) {

      templateString = `<div id="scrollBottom" class="d-flex align-items-center flex-column p-5" style="height:50vh">
                          <p><i class="fas fa-comment-slash fa-4x text-secondary"></i></p>
                          <p>No message yet</p>
                        </div>`;
    } else {
      if (lastId === res[res.length - 1].id) {
        return;
      }

      lastId = res[res.length - 1].id;

      templateString += `<div id="scrollBottom" class="direct-chat-messages" style="height: 55vh;">`;

      res.forEach(item => {

        templateString += `<div class="direct-chat-msg mb-4 ${ item.sender_name === 'ADMIN' ? '' : 'right' }">
                            <div class="direct-chat-infos clearfix">
                              <span class="direct-chat-name  ${ item.sender_name === 'ADMIN' ? 'float-left' : 'float-right' }">

                                ${ item.sender_name === 'ADMIN' ? 'Admin' : item.full_name }

                              </span>
                              <span class="direct-chat-timestamp ${ item.sender_name === 'ADMIN' ? 'float-right' : 'float-left' }">${ item.date }</span>
                            </div>
                            <!-- /.direct-chat-infos -->

                            ${ (item.sender == 'ADMIN' || !item.photo) ? `<img class="direct-chat-img" src="${ URL_PUBLIC }/dist/img/no-user.png" alt="">` : `<img class="direct-chat-img" src="${ item.photo }" alt="${ item.message }">` }

                            <!-- /.direct-chat-img -->
                            <div class="direct-chat-text">
                              ${ item.msg }
                            </div>
                            <!-- /.direct-chat-text -->
                          </div>`;

      });

      templateString += `</div>`;

    }
    $('#messageList').html(templateString);

    let objDiv = document.getElementById("scrollBottom");
    objDiv.scrollTop = objDiv.scrollHeight;
  }


});

    


    
  

  /*postData(retrieveMessageUrl, userData).then(response => {
    let templateString = '';
    if (response.length === 0) {

      templateString = `<div id="scrollBottom" class="d-flex align-items-center flex-column p-5" style="height:50vh">
                          <p><i class="fas fa-comment-slash fa-4x text-secondary"></i></p>
                          <p>No message yet</p>
                        </div>`;
    } else {
      if (lastId === response[response.length - 1].id) {
        return;
      }

      lastId = response[response.length - 1].id;

      templateString += `<div id="scrollBottom" class="direct-chat-messages" style="height: 55vh;">`;

      response.forEach(item => {

        templateString += `<div class="direct-chat-msg mb-4 ${ item.sender === 'ADMIN' ? '' : 'right' }">
                            <div class="direct-chat-infos clearfix">
                              <span class="direct-chat-name  ${ item.sender === 'ADMIN' ? 'float-left' : 'float-right' }">

                                ${ item.sender === 'ADMIN' ? 'Admin' : item.full_name }

                              </span>
                              <span class="direct-chat-timestamp ${ item.sender === 'ADMIN' ? 'float-right' : 'float-left' }">${ item.created_date }</span>
                            </div>
                            <!-- /.direct-chat-infos -->

                            ${ (item.sender == 'ADMIN' || !item.picture) ? `<img class="direct-chat-img" src="${ URL_PUBLIC }/dist/img/no-user.png" alt="">` : `<img class="direct-chat-img" src="${ URL_PUBLIC }/user-images/${ item.picture }" alt="${ item.message }">` }

                            <!-- /.direct-chat-img -->
                            <div class="direct-chat-text">
                              ${ item.message }
                            </div>
                            <!-- /.direct-chat-text -->
                          </div>`;

      });

      templateString += `</div>`;

    }

    $('#messageList').html(templateString);

    let objDiv = document.getElementById("scrollBottom");
    objDiv.scrollTop = objDiv.scrollHeight;

  });*/
}


let messageForm = document.getElementById('message-form');
let messageInput = document.getElementById('message-input');
let sendMessageBtn = document.getElementById('send-message-btn');

if(messageInput.value == ""){
  sendMessageBtn.setAttribute('disabled', 'true')
}


messageInput.oninput = (e) => {
  if (!!e.target.value) {
    sendMessageBtn.removeAttribute('disabled')
  } else {
    sendMessageBtn.setAttribute('disabled', 'true')
  }
}

messageForm.onsubmit = (e) => {
  e.preventDefault();

  let l = Ladda.create(sendMessageBtn);
  l.start();

  let sendMessageUrl = `${ URL_ROOT }/apps/admin-send-message`;

  let messageFormData = new FormData(messageForm);

  let dataToSubmit = {};

  for (let data of messageFormData.entries()) {
    dataToSubmit[data[0]] = data[1].toUpperCase();
  }
  dataToSubmit.message = messageInput.value,

  dataToSubmit.sender = 'ADMIN'

 /* let messageData = {
    user_id: userId,
    message: messageInput.value,
    sender: 'ADMIN',
  }*/

$.ajax({
  url: sendMessageUrl,
  type: 'POST',
  data: dataToSubmit,
  success: function(response){
   l.stop();
    if(response == 1){

window.location.href = 'messages'
      messageInput.value = '';
        retrieveMessages();

        
    }else{
      showToast('error', 'Message failed to send');
    }

  }

});
 
}


window.onbeforeunload = (e) => {
  $(document).idleTimer("destroy");
}