
let swiper = new Swiper('.swiper-container', {
  effect: 'coverflow',
  grabCursor: true,
  centeredSlides: true,
  slidesPerView: 'auto',
  preventClicks: true,
  coverflowEffect: {
    rotate: 50,
    stretch: 0,
    depth: 100,
    modifier: 1,
    slideShadows: true,
  }
});

$('#master_card').on('click', (e) => {
  e.stopPropagation();

  if ($('#master_card>img')[0].src.includes('front')) {
    $('#master_card .front').attr('hidden', 'true');

    $('#master_card>img').fadeOut(400, function () {
      $('#master_card>img').attr('src', `../public/images/cards/mastercard_back.png`);
    }).fadeIn(400);

    setTimeout(() => {
      $('#master_card .back').removeAttr('hidden');
    }, 600);

  } else {

    $('#master_card .back').attr('hidden', 'true');

    $('#master_card>img').fadeOut(400, function () {
      $('#master_card>img').attr('src', `../public/images/cards/mastercard_front.png`);
    }).fadeIn(400);

    setTimeout(() => {
      $('#master_card .front').removeAttr('hidden');
    }, 600);
  }

})

$('#verve_card').on('click', (e) => {
  e.stopPropagation();


  if ($('#verve_card>img')[0].src.includes('front')) {

    $('#verve_card .front').attr('hidden', 'true');

    $('#verve_card>img').fadeOut(400, function () {
      $('#verve_card>img').attr('src', `../public/images/cards/verve_back.png`);
    }).fadeIn(400)

    setTimeout(() => {
      $('#verve_card .back').removeAttr('hidden');
    }, 600);

  } else {

    $('#verve_card .back').attr('hidden', 'true');

    $('#verve_card>img').fadeOut(400, function () {
      $('#verve_card>img').attr('src', `../public/images/cards/verve_front.png`);
    }).fadeIn(400);

    setTimeout(() => {
      $('#verve_card .front').removeAttr('hidden');
    }, 600);

  }

});

//card application process
let cardApplicationButton = document.getElementById('card_application_button');

cardApply = () => {
  cardApplicationButton.innerHTML = 'Applying';
  let l = Ladda.create(cardApplicationButton);
  l.start();

  let parsedCardDetails = JSON.parse(cardDetails);

  let dataToSubmit = {};
  switch (swiper.activeIndex) {
    case 0:
      dataToSubmit.card_type = 'MASTERCARD';
      dataToSubmit.card_number = parsedCardDetails.masterNumber;
      dataToSubmit.cvv = parsedCardDetails.masterCvv;
      dataToSubmit.expiry_date = parsedCardDetails.masterExpiryDate;
      break;
    case 1:
      dataToSubmit.card_type = 'VERVE';
      dataToSubmit.card_number = parsedCardDetails.verveNumber;
      dataToSubmit.cvv = parsedCardDetails.verveCvv;
      dataToSubmit.expiry_date = parsedCardDetails.verveExpiryDate;
      break;

    default:
      break;
  }


  dataToSubmit.user_id = parsedCardDetails.userId;

  let cardUrl = `${ URL_ROOT }/apps/card-application`;

  $.ajax({
    url: cardUrl,
    type: 'POST',
    data: dataToSubmit,
    success: function(response){
      
      switch (response) {
      case "false":
        l.stop()
        showToast('error', 'Card application failed, please try again later');
        break;
      case "true":
        showToast('success', 'Card application was successful');
        setTimeout(() => {
          location.href = `${ URL_ROOT }/dashboard/cards`;
        }, 2000);
        break;

    }
   }})

  

 /* postData(cardUrl, dataToSubmit).then(response => {

    switch (response) {
      case false:
        l.stop()
        showToast('error', 'Card application failed, please try again later');
        break;
      case true:
        showToast('success', 'Card application was successful');
        setTimeout(() => {
          location.href = `${ URL_ROOT }/dashboard/cards`;
        }, 2000);
        break;
    }

  });*/

}