

let durationTime = 4000;
// Instance the tour
var tour = new Tour({
  name: "darkel-tour",
  framework: "bootstrap4",
  keyboard: false,
  backdrop: true,
  backdropContainer: 'body',
  smartPlacement: true,
  steps: [{
    element: "#transfer_tour",
    placement: "right",
    duration: durationTime,
    template: `<div class='popover tour p-2'>
                <div class='arrow'></div>
                <div class='popover-content'>Funds transfer can be done here</div>
                <div class='popover-navigation'>
                  <button class='btn btn-light btn-sm mr-1' data-role='prev'> <i class="far fa-arrow-alt-circle-left"></i></button>
                  <button class='btn btn-light btn-sm mr-1' data-role='next'><i class="far fa-arrow-alt-circle-right"></i></button>
                  <button class='btn btn-dark btn-sm' data-role='end'>End tour</button>
                </div>
              </div>`,

  },
  {
    element: "#beneficiaries_tour",
    placement: "top",
    duration: durationTime,
    template: `<div class='popover tour p-2'>
                <div class='arrow'></div>
                <div class='popover-content'>Click here to add/manage beneficiaries</div>
                <div class='popover-navigation'>
                  <button class='btn btn-light btn-sm mr-1' data-role='prev'> <i class="far fa-arrow-alt-circle-left"></i></button>
                  <button class='btn btn-light btn-sm mr-1' data-role='next'><i class="far fa-arrow-alt-circle-right"></i></button>
                  <button class='btn btn-dark btn-sm' data-role='end'>End tour</button>
                </div>
              </div>`,

  },
  {
    element: "#currency-update",
    placement: "bottom",
    duration: durationTime,
    template: `<div class='popover tour p-2'>
                <div class='arrow'></div>
                <div class='popover-content'>Live currency update</div>
                <div class='popover-navigation'>
                  <button class='btn btn-light btn-sm mr-1' data-role='prev'> <i class="far fa-arrow-alt-circle-left"></i></button>
                  <button class='btn btn-light btn-sm mr-1' data-role='next'><i class="far fa-arrow-alt-circle-right"></i></button>
                  <button class='btn btn-dark btn-sm' data-role='end'>End tour</button>
                </div>
              </div>`,
  },
  {
    element: "#transaction_tour",
    placement: "top",
    duration: durationTime,
    template: `<div class='popover tour p-2'>
                <div class='arrow'></div>
                <div class='popover-content'>A list of transaction history can be seen by clicking on this button</div>
                <div class='popover-navigation'>
                  <button class='btn btn-light btn-sm mr-1' data-role='prev'> <i class="far fa-arrow-alt-circle-left"></i></button>
                  <button class='btn btn-light btn-sm mr-1' data-role='next'><i class="far fa-arrow-alt-circle-right"></i></button>
                  <button class='btn btn-dark btn-sm' data-role='end'>End tour</button>
                </div>
              </div>`,

  },
  {
    element: "#stock-market",
    placement: "bottom",
    duration: durationTime,
    template: `<div class='popover tour p-2'>
                <div class='arrow'></div>
                <div class='popover-content'>Stock market review at your finger tip</div>
                <div class='popover-navigation'>
                  <button class='btn btn-light btn-sm mr-1' data-role='prev'> <i class="far fa-arrow-alt-circle-left"></i></button>
                  <button class='btn btn-light btn-sm mr-1' data-role='next'><i class="far fa-arrow-alt-circle-right"></i></button>
                  <button class='btn btn-dark btn-sm' data-role='end'>End tour</button>
                </div>
              </div>`,
  },
  {
    element: "#messages_tour",
    placement: "bottom",
    duration: durationTime,
    template: `<div class='popover tour p-2'>
                <div class='arrow'></div>
                <div class='popover-content'>Communications between you and the help desk will appear here</div>
                <div class='popover-navigation'>
                  <button class='btn btn-light btn-sm mr-1' data-role='prev'> <i class="far fa-arrow-alt-circle-left"></i></button>
                  <button class='btn btn-light btn-sm mr-1' data-role='next'><i class="far fa-arrow-alt-circle-right"></i></button>
                  <button class='btn btn-dark btn-sm' data-role='end'>End tour</button>
                </div>
              </div>`,

  },
  {
    element: "#cards_tour",
    placement: "bottom",
    duration: durationTime,
    template: `<div class='popover tour p-2'>
                <div class='arrow'></div>
                <div class='popover-content'>You can request for an ATM card here</div>
                <div class='popover-navigation'>
                  <button class='btn btn-light btn-sm mr-1' data-role='prev'> <i class="far fa-arrow-alt-circle-left"></i></button>
                  <button class='btn btn-light btn-sm mr-1' data-role='next'><i class="far fa-arrow-alt-circle-right"></i></button>
                  <button class='btn btn-dark btn-sm' data-role='end'>End tour</button>
                </div>
              </div>`,

  },
  {
    element: "#loan_tour",
    placement: "left",
    duration: durationTime,
    template: `<div class='popover tour p-2'>
                <div class='arrow'></div>
                <div class='popover-content'>Apply for easy loans here</div>
                <div class='popover-navigation'>
                  <button class='btn btn-light btn-sm mr-1' data-role='prev'> <i class="far fa-arrow-alt-circle-left"></i></button>
                  <button class='btn btn-light btn-sm mr-1' data-role='next'><i class="far fa-arrow-alt-circle-right"></i></button>
                  <button class='btn btn-dark btn-sm' data-role='end'>End tour</button>
                </div>
              </div>`,

  },
  {
    element: "#settings_tour",
    placement: "bottom",
    duration: durationTime,
    template: `<div class='popover tour p-2'>
                <div class='arrow'></div>
                <div class='popover-content'>Profile picture, passwords and account information can be updated by clicking here</div>
                <div class='popover-navigation'>
                  <button class='btn btn-light btn-sm mr-1' data-role='prev'> <i class="far fa-arrow-alt-circle-left"></i></button>
                  <button class='btn btn-light btn-sm mr-1' data-role='next'><i class="far fa-arrow-alt-circle-right"></i></button>
                  <button class='btn btn-dark btn-sm' data-role='end'>End tour</button>
                </div>
              </div>`,

  },


  ]
});

// $('.startTour').click(function () {
//   tour.restart();

// })





window.addEventListener('DOMContentLoaded', (event) => {
  tour.start();
});