
let url = window.location.pathname;
let code = url.substring(url.lastIndexOf('/') + 1);

let number1 = document.getElementById('codeBox1');
let number2 = document.getElementById('codeBox2');
let number3 = document.getElementById('codeBox3');
let number4 = document.getElementById('codeBox4');

let recoveryForm = document.getElementById('recovery_form');
let recoveryButton = document.getElementById('recovery_button');

if (!isNaN(code) && code.length === 4) {
  number1.value = code[0];
  number2.value = code[1];
  number3.value = code[2];
  number4.value = code[3];
  checkCode(code);
}


function getCodeBoxElement(index) {
  return document.getElementById('codeBox' + index);
}

function onKeyUpEvent(index, event) {

  recoveryForm.setAttribute('hidden', true);

  const eventCode = event.which || event.keyCode;
  if (getCodeBoxElement(index).value.length === 1) {
    if (index !== 4) {
      getCodeBoxElement(index + 1).focus();
    } else {
      getCodeBoxElement(index).blur();
      // Submit code
      checkCode(number1.value + number2.value + number3.value + number4.value)

    }
  }
  if (eventCode === 8 && index !== 1) {
    getCodeBoxElement(index - 1).focus();
  }
}

function onFocusEvent(index) {
  for (item = 1; item < index; item++) {
    const currentElement = getCodeBoxElement(item);
    if (!currentElement.value) {
      currentElement.focus();
      break;
    }
  }
}

function checkCode(code) {
  showLoading();
  urlRoot = `${ URL_ROOT }/apps/recover`;

  $.ajax({
    url: urlRoot,
    type: 'POST',
    data: {email_code: code},
    success: function(response){
       Swal.close();
      

       if(response == "invalid"){
        showAlert('error', {
          message: 'You have provided an invalid code.',
          onClose: () => {
            location.href = `${ URL_ROOT }/dashboard/recover`;
          }
        });
       }else{
         response = JSON.parse(response);
         
        
        let hiddenEmail = document.getElementById('hiddenEmail');
        let hiddenCode = document.getElementById('hiddenCode');
        hiddenEmail.value = response[0];
        hiddenCode.value = response[1];

        recoveryForm.removeAttribute('hidden');

       }
    }
  })

  
}

recoveryForm.onsubmit = (e) => {
  e.preventDefault();

  let l = Ladda.create(recoveryButton);
  l.start();

  let recoveryFormData = new FormData(recoveryForm);

  let dataToSubmit = {};
  for (let data of recoveryFormData.entries()) {
    dataToSubmit[data[0]] = data[1]
  }

  let recoveryUrl = `${ URL_ROOT }/apps/recover-password`;

  $.ajax({
    url: recoveryUrl,
    type: 'POST',
    data: dataToSubmit,

    success: function(response){
      switch (response) {
      case 'failed':
        l.stop()
        showToast('error', 'Unable to change password');
        break;

      case 'success':
        location.href = `${ URL_ROOT }/dashboard/dashboard`;
        break;

      case 'short password':
           l.stop()
      document.getElementById('password').classList.add('is-invalid');
      document.getElementById('password').nextElementSibling.innerHTML = "Password should consist of 8 characters and above";
      break;

case 'no match':
     l.stop()
      document.getElementById('confirm_password').classList.add('is-invalid');
      document.getElementById('confirm_password').nextElementSibling.innerHTML = "Passwords do not match";
      break;

      default:
        l.stop();
        alert(response)
        break;
    }
    }
  })

  

}